Updates a workspace schedule.

PUT /controller/v4/v2/workgroups/{workgroupID}/workspaces/{workspaceID}/schedules/{scheduleID}

Authorizations

x-api-key string header required

Authorization for TigerGraph Savanna. Send the key in the x-api-key request header.

Create an API key

Path parameters

# workgroupID string path required

Workgroup ID

# workspaceID string path required

Workspace ID

# scheduleID string path required

Schedule ID

Body

# date string

Date the action runs when the schedule does not repeat.

# id string

Unique identifier of the schedule.

# repeat string required

How often the action repeats: daily, weekly, or weekdays.

# repeat_on string

Days the action runs when it repeats weekly.

# time string required

Time of day the action runs.

# timezone string required

Time zone the schedule is interpreted in.

# workspace_id string required

Unique identifier of the scheduled workspace.

# workspace_type_name string

Workspace size to apply when the action runs.

Response

application/json
# Error boolean

Indicates whether the request returned an error.

# ErrorDetails object[]

Details about each error returned by the request.

Show child attributes Hide child attributes
FieldNamestring

Field associated with the error.

Reasonstring

Explanation of why the error occurred.

Typestring

Category of the error.

Available options: Internal-Error, Bad-Request, Not-Found, Forbidden, Unauthorized, API-Disabled, Quota-Exceed, Unknown

# Message string

Human-readable summary of the request result.

# RequestID string

Unique identifier for tracing the request.

# Result string

Payload returned by the request.